gr::fosphor::overlap_cc Class Referenceabstract
Fosphor

Block preparing an overlapped version of the stream. More...

`#include <overlap_cc.h>`

Inheritance diagram for gr::fosphor::overlap_cc:
[legend]

## Public Types

typedef std::shared_ptr< overlap_cc > | sptr

## Public Member Functions

virtual void | set_overlap_ratio (const int overlap)=0

## Static Public Member Functions

static sptr | make (int wlen, int overlap)

## Detailed Description

Block preparing an overlapped version of the stream.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<overlap_cc> gr::fosphor::overlap_cc::sptr

## Member Function Documentation

## make()

static sptr gr::fosphor::overlap_cc::make | ( | int | wlen,
|  | int | overlap
| ) |  |

static

## set_overlap_ratio()

virtual void gr::fosphor::overlap_cc::set_overlap_ratio | ( | const int | overlap | ) |

pure virtual

Implemented in gr::fosphor::overlap_cc_impl.

The documentation for this class was generated from the following file:

- overlap_cc.h